public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michal Gorny (mgorny)" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog autotools-multilib.eclass
Date: Mon,  1 Apr 2013 11:05:27 +0000 (UTC)	[thread overview]
Message-ID: <20130401110527.ECCB82171D@flycatcher.gentoo.org> (raw)

mgorny      13/04/01 11:05:27

  Modified:             ChangeLog autotools-multilib.eclass
  Log:
  Fix path handling in header wrapping code.

Revision  Changes    Path
1.764                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.764&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.764&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.763&r2=1.764

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.763
retrieving revision 1.764
diff -u -r1.763 -r1.764
--- ChangeLog	1 Apr 2013 09:18:57 -0000	1.763
+++ ChangeLog	1 Apr 2013 11:05:27 -0000	1.764
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.763 2013/04/01 09:18:57 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.764 2013/04/01 11:05:27 mgorny Exp $
+
+  01 Apr 2013; Michał Górny <mgorny@gentoo.org> autotools-multilib.eclass:
+  Fix path handling in header wrapping code.
 
   01 Apr 2013; Michał Górny <mgorny@gentoo.org> autotools-multilib.eclass:
   Support wrapping headers for multilib.



1.14                 eclass/autotools-multilib.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-multilib.eclass?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-multilib.eclass?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-multilib.eclass?r1=1.13&r2=1.14

Index: autotools-multilib.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-multilib.eclass,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- autotools-multilib.eclass	1 Apr 2013 09:18:57 -0000	1.13
+++ autotools-multilib.eclass	1 Apr 2013 11:05:27 -0000	1.14
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-multilib.eclass,v 1.13 2013/04/01 09:18:57 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-multilib.eclass,v 1.14 2013/04/01 11:05:27 mgorny Exp $
 
 # @ECLASS: autotools-multilib.eclass
 # @MAINTAINER:
@@ -83,18 +83,18 @@
 			die "Wrapping headers outside of /usr/include is not supported at the moment."
 		fi
 		# and then usr/include
-		f=${f#usr/include/}
+		f=${f#usr/include}
 
 		local dir=${f%/*}
 
 		# $CHOST shall be set by multilib_toolchain_setup
-		dodir "/tmp/multilib-include/${CHOST}/${dir}"
-		mv "${ED}/usr/include/${f}" "${ED}/tmp/multilib-include/${CHOST}/${dir}/" || die
+		dodir "/tmp/multilib-include/${CHOST}${dir}"
+		mv "${ED}/usr/include${f}" "${ED}/tmp/multilib-include/${CHOST}${dir}/" || die
 
-		if [[ ! -f ${ED}/tmp/multilib-include/${f} ]]; then
-			dodir "/tmp/multilib-include/${dir}"
+		if [[ ! -f ${ED}/tmp/multilib-include${f} ]]; then
+			dodir "/tmp/multilib-include${dir}"
 			# a generic template
-			cat > "${ED}/tmp/multilib-include/${f}" <<_EOF_ || die
+			cat > "${ED}/tmp/multilib-include${f}" <<_EOF_ || die
 /* This file is auto-generated by autotools-multilib.eclass
  * as a multilib-friendly wrapper. For the original content,
  * please see the files that are #included below.
@@ -129,7 +129,7 @@
 
 		# Note: match a space afterwards to avoid collision potential.
 		sed -e "/${abi_flag} /s&error.*&include <${CHOST}/${f}>&" \
-			-i "${ED}/tmp/multilib-include/${f}" || die
+			-i "${ED}/tmp/multilib-include${f}" || die
 	done
 }
 





             reply	other threads:[~2013-04-01 11:05 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-04-01 11:05 Michal Gorny (mgorny) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-04-30 18:17 [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog autotools-multilib.eclass Michal Gorny (mgorny)
2014-01-15 12:12 Michal Gorny (mgorny)
2013-11-24 10:53 Michal Gorny (mgorny)
2013-11-24 10:25 Michal Gorny (mgorny)
2013-04-01  9:18 Michal Gorny (mgorny)
2013-02-27 21:47 Michal Gorny (mgorny)
2013-02-27 21:46 Michal Gorny (mgorny)
2013-02-22 14:42 Michal Gorny (mgorny)
2013-01-26 11:39 Michal Gorny (mgorny)
2013-01-26 11:38 Michal Gorny (mgorny)
2013-01-26 11:35 Michal Gorny (mgorny)
2013-01-26 11:34 Michal Gorny (mgorny)
2013-01-20 23:42 Michal Gorny (mgorny)
2012-10-08 18:44 Michal Gorny (mgorny)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20130401110527.ECCB82171D@flycatcher.gentoo.org \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox